Bug 196796 - [NEW PORT] sysutils/librolegen: Library to generate WebOS system bus role files
Summary: [NEW PORT] sysutils/librolegen: Library to generate WebOS system bus role files
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Bartek Rutkowski
URL:
Keywords: patch, patch-ready
Depends on:
Blocks:
 
Reported: 2015-01-16 05:29 UTC by Petr Penzin
Modified: 2015-04-04 19:11 UTC (History)
1 user (show)

See Also:


Attachments
shar with port contents (2.04 KB, text/plain)
2015-01-16 05:29 UTC, Petr Penzin
no flags Details
Improved version of the original files (2.08 KB, text/plain)
2015-03-04 07:30 UTC, Petr Penzin
no flags Details
poudriere testport output (24.02 KB, text/plain)
2015-03-04 07:31 UTC, Petr Penzin
no flags Details
poudriere bulk -t output (1.85 KB, text/plain)
2015-03-04 07:31 UTC, Petr Penzin
no flags Details
portlint -AC output (12 bytes, text/plain)
2015-03-04 07:32 UTC, Petr Penzin
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Penzin 2015-01-16 05:29:17 UTC
Created attachment 151722 [details]
shar with port contents

A library to dynamically generate system bus role files for WebOS services
Comment 1 Petr Penzin 2015-03-01 07:22:46 UTC
Hi,

I would like to inquire about this patch. Is anything needed from my side?

-Petr
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2015-03-02 11:13:00 UTC
Hi Petr,

Upon initial review, I can see at least the following needs fixing:

- GH_PROJECT=librolegen is unnecessary, as GH_PROJECT defaults to ${PORTNAME} which is librolegen in this case.
- COMMENT should not start with PORTNAME (portlint(8) will tell you this)
- INSTALL_TARGET defaults to 'install' as its value, not needed (iirc).
- Use BUILD_DEPENDS earlier, and using = rather than += the first time you use it (again portlint(8) will help you here)

I would also highly recommend the following QA logs as attachments:

- portlint -AC output (you can find it in ports-mgmt/portlint
- poudriere testport / bulk -t output. See:

[1] https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/testing-poudriere.html
Comment 3 Petr Penzin 2015-03-04 07:30:33 UTC
Created attachment 153761 [details]
Improved version of the original files
Comment 4 Petr Penzin 2015-03-04 07:31:27 UTC
Created attachment 153762 [details]
poudriere testport output
Comment 5 Petr Penzin 2015-03-04 07:31:58 UTC
Created attachment 153763 [details]
poudriere bulk -t output
Comment 6 Petr Penzin 2015-03-04 07:32:25 UTC
Created attachment 153764 [details]
portlint -AC output
Comment 7 Petr Penzin 2015-03-04 07:36:23 UTC
(In reply to Kubilay Kocak from comment #2)

Hi Kubilay,

Thanks for pointing this out. I have attached an updated version of the port and the QA output that you recommended submitting. 

Let me know how if it is better now.

Best,
Petr
Comment 8 Kubilay Kocak freebsd_committer freebsd_triage 2015-03-04 07:44:53 UTC
Looks good Petr, well done! :)
Comment 9 commit-hook freebsd_committer 2015-04-04 19:10:33 UTC
A commit references this bug:

Author: robak
Date: Sat Apr  4 19:09:43 UTC 2015
New revision: 383238
URL: https://svnweb.freebsd.org/changeset/ports/383238

Log:
  devel/librolegen: NEW PORT - library to dynamically generate webOS system bus role files

  librolegen: a library to dynamically generate WebOS system bus role files for
  WebOS Javascript services

  WWW: http://freewebos.github.io/

  PR:		196796
  Submitted by:	Petr Penzin <penzin.dev@gmail.com>

Changes:
  head/devel/Makefile
  head/devel/librolegen/
  head/devel/librolegen/Makefile
  head/devel/librolegen/distinfo
  head/devel/librolegen/pkg-descr
  head/devel/librolegen/pkg-plist
Comment 10 Bartek Rutkowski freebsd_committer 2015-04-04 19:11:39 UTC
Committed, with some changes, thanks for your work!